GCLOUD_DATAPROC_OPERATIONS_LIST(1)

NAME

gcloud dataproc operations list - view the list of all operations

SYNOPSIS

gcloud dataproc operations list [--cluster=CLUSTER] [--state-filter=STATE_FILTER] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE; default="100"] [--sort-by=[FIELD,...]] [GLOBAL-FLAG ...]

DESCRIPTION
View a list of operations in a project. An optional filter can be used to constrain the operations returned. Filters are case-sensitive and have the following syntax:
    field = value [AND [field = value]] ...
where field is either of status.state or labels.[KEY], where [KEY] is a label key. value can be * to match all values. status.state is one of: PENDING, ACTIVE, DONE. Only the logical AND operator is supported; space-separated items are treated as having an implicit AND operator.

FLAGS

    --cluster=CLUSTER
        Restrict to the operations of this Dataproc cluster. This flag is ignored when --filter is specified. The equivalent term in a --filter expression is: clusterName = myclustername

    --state-filter=STATE_FILTER
        Filter by cluster state. This flag is ignored when --filter is specified. The equivalent term in a --filter expression is: status.state = ACTIVE. STATE_FILTER must be one of: active, inactive.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE; default="100"
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To see the list of all operations, run:
    $ gcloud dataproc operations list
To see the list of all active operations in a cluster named mycluster, run:
    $ gcloud dataproc operations list \
        --filter='status.state = RUNNING AND clusterName = mycluster'
To see a list of all pending operations the label env=staging on cluster mycluster, run:
    $ gcloud dataproc operations list \
        --filter='status.state = PENDING AND labels.env = staging AND
     clusterName = mycluster'